<head>
    <meta name="author" content="Brandt Reutimann">
    <title>Fuel Form Example</title>
    <?php echo Asset::css("fuelformexample/main.css");?>
</head>
<body>
<div>
<?php
    if (isset($success_view)) {
        echo $success_view;
    }
    if (isset($failure_view)) {
        echo $failure_view;
    }
?>
</div>
<main>
    <h4>Form without Fuel</h4>
    <form method="POST" action="fuelformexample">
        <label>User Name:&nbsp;</label>
        <input type="text" name="name"></input><br>
        <label>Password:&nbsp;</label>
        <input type="password" name="password"></input><br>
        <label>Your Message:&nbsp;</label><br>
        <textarea class="text-area" name="message">your message here</textarea><br>
        <input type="submit" value="Submit"></input>
    </form>
    <hr>
    <h4>Form with Fuel</h4>
<?php
    /**
     * Try to create the form above using fuel forms methods instead of HTML
     * https://fuelphp.com/docs/classes/form.html
     */
    // Open the form
    echo Form::open(array(
        "action" => "index/fuelformexample",
        "method" => "post",
        "id" => "fuel_form"
    ));

    /**
     * To create labels like in the form above use `echo Form::label()`
     */

    // 1. Username input use echo `Form::input()` with the correct parameters
        // a. Label
        // b. Form input
        // c. Use <br> to break to new line
        // Hint: ** you can use `&nbsp;` to create space between labels and form boxes 
    // 2. Password input use echo `Form::password()` with the correct parameters
        // a. Label
        // b. Form input
        // c. Use <br> to break to new line
        // Hint: ** you can use `&nbsp;` to create space between labels and form boxes 
    // 3. Text area input use `echo Form::textarea()` with the correct parameters
        // a. Label
        // b. Use <br> to break to new line
        // c. Form input
        // d. Use <br> to break to new line
        // Hint: ** you can use `&nbsp;` to create space between labels and form boxes 
    // 4. Submit button use `echo Form::submit()` with the correct parameters
        // a. Label
        // b. Form input
        // c. Use <br> to break to new line
        // Hint: ** you can use `&nbsp;` to create space between labels and form boxes 
    
    // Close the form
    echo Form::close();
?>
</main>
</body>